RFR (S) 8249140: fail to build hotspot with gcc-4.8.5

Kim Barrett kim.barrett at oracle.com
Thu Jul 9 12:58:24 UTC 2020


> On Jul 9, 2020, at 3:38 AM, linzang(臧琳) <linzang at tencent.com> wrote:
> 
> Hi
>                May I ask your help to review the fix of 8249140, which cause hotspot build fail with gcc-4.8.5
>              Bug: https://bugs.openjdk.java.net/browse/JDK-8249140
>                Webrev: http://cr.openjdk.java.net/~lzang/8249140/webrev/
>                Thanks!
> 
> BRs,
> Lin

The warnings appear to be a bug in that (extremely old) compiler
version; the expressions involved clearly are constant expressions.
Also, that compiler version will very shortly (hopefully within a
couple of weeks) not work at all, because it lacks C++14 support.
And the change itself does not make the code better in any other way.

So I think this change should not be made.



More information about the hotspot-gc-dev mailing list